Pages ne s’affichent plus suite à MAJ 4.4.1

  • Statut : non résolu
15 sujets de 1 à 15 (sur un total de 16)
  • Auteur
    Messages
  • #559048
    Nereusnc
    Membre
    Initié WordPress
    2 contributions

    Bonjour,
    – Version de WordPress : 4.4.1
    – Thème utilisé : Twentytwelve
    – Nom de l’hebergeur : OVH
    – Adresse du site : http://www.nereus-water.com

    Problème(s) rencontré(s) :

    Bonjour,
    Je viens de mettre à jour mon thème twentytwelve ainsi que la version wordpress (4.4.1). Lorsque je clique sur les pages, elles sont blanches. Aucun problème par contre pour la catégorie actualité dans laquelle les articles s’affichent correctement.

    J’ai activé un autre thème et les menus ne s’affichent pas mais l’accès aux pages fonctionne cette fois.

    Cela me laisse donc penser que cela vient de la nouvelle version wordpress. J’ai besoin d’aide car je ne sais pas comment revenir en arrière (dump de la base de données réalisé).

    Merci par avance !

    #1041475
    luciole135
    Participant
    Maître WordPress
    13753 contributions

    Pourquoi n’avez-vous pas rempli complètement le questionnaire ?

    #1041476
    Flobogo
    Modérateur
    Maître WordPress
    15345 contributions

    Bonjour,

    Désactivez toutes vos extensions en ajoutant un X pour renommer le dossier: wp-content/pluginsX et testez : si ça résout le problème, réactivez-les une par une pour trouver le plugin coupable.
    Si ça ne résout pas le problème, désactivez votre thème de la même façon en le renommant wp-content/themes/nom-du-themeX (ce qui activera un thème par défaut, de la série twenty-xxx), et testez à nouveau.

    Si ça ne résout toujours pas, vérifiez aussi votre version de PHP : une version antérieure à 5.3 peut provoquer des bugs. ( tuto pour modifier la version PHP chez OVH )

    Et si vraiment le problème n’est toujours pas résolu, tentez une réinstallation de WP en mode manuel, sans oublier de faire d’abord une sauvegarde de la BDD par PhpMyAdmin et une sauvegarde du contenu par FTP, ensuite, suivez le Codex : http://codex.wordpress.org/fr:Details_de_mise_a_jour :codex:

    #1041477
    luciole135
    Participant
    Maître WordPress
    13753 contributions
    Flobogo wrote:
    Si ça ne résout toujours pas, vérifiez aussi votre version de PHP : une version antérieure à 5.3 peut provoquer des bugs.

    Source ?

    #1041478
    Flobogo
    Modérateur
    Maître WordPress
    15345 contributions

    @ Luciole135 : voir les posts de Fge et Li-An à ce sujet, je crois durant l’été 2015. J’étais passée en version php 5.5 à cette occasion. Des versions anciennes de Php peuvent provoquer des bugs dans les plugins, en particulier.
    De plus, les versions anciennes (avant 5.3 ou 5.2) ne sont plus maintenues.
    Pour en savoir plus, google sera toujours votre ami 😉 (et il en sait plus que moi :D )

    #1041479
    luciole135
    Participant
    Maître WordPress
    13753 contributions
    Flobogo wrote:
    @ Luciole135 : voir les posts de Fge et Li-An à ce sujet, je crois durant l’été 2015. J’étais passée en version php 5.5 à cette occasion. Des versions anciennes de Php peuvent provoquer des bugs dans les plugins, en particulier.

    Voilà, dans les plugins, pas dans WordPress 😗

    #1041480
    Flobogo
    Modérateur
    Maître WordPress
    15345 contributions

    Ok, mais comme il ne donne pas le nom de ses plugins, il peut en avoir un lié aux pages / construction de pages qui buggue … et donne ce résultat de « page blanche ».

    Et même si ce n’est pas le cas, quelqu’un qui met WP à jour seulement maintenant n’a peut-être pas une version PHP à jour non plus, donc c’est l’occasion de vérifier. (La preuve, sur ce topic, la personne était en Php 4.4 )
    D’autant plus que cela si PHp n’est pas à jour, c’est une faille de sécurité.

    @ Nereusnc : Pouvez-vous nous donner des nouvelles ?

    #1041481
    luciole135
    Participant
    Maître WordPress
    13753 contributions
    Flobogo wrote:
    Et même si ce n’est pas le cas, quelqu’un qui met WP à jour seulement maintenant n’a peut-être pas une version PHP à jour non plus, donc c’est l’occasion de vérifier. (La preuve, sur ce topic, la personne était en Php 4.4 )
    D’autant plus que cela si PHp n’est pas à jour, c’est une faille de sécurité.

    Non, la personne a confondu WP 4.4 et PHP 4.4.
    WordPress plante avec PHP inférieur à 5.2.4, on ne peut accéder à rien du tout, ni à l’admin ni à autre chose.

    #1041482
    Flobogo
    Modérateur
    Maître WordPress
    15345 contributions

    WordPress plante avec PHP inférieur à 5.2.4

    Donc, il y a bien un rapport entre WordPress et la version de Php, pas seulement sur les plugins. 😋

    Mais bon, c’est vrai que Php 4.4, ça me paraissait vraiment ancien … :rolleyes:

    #1041483
    luciole135
    Participant
    Maître WordPress
    13753 contributions
    Flobogo wrote:

    WordPress plante avec PHP inférieur à 5.2.4

    Donc, il y a bien un rapport entre WordPress et la version de Php, pas seulement sur les plugins. 😋

    Non, les prérequis de WordPress sont clairement annoncés : PHP 5.2.4 minimum.
    Avec ce minimum, il fonctionne.

    #1041484
    PhiLyon
    Modérateur
    Maître WordPress
    22602 contributions

    Bonjour.

    Les recommandations officielles https://wordpress.org/about/requirements/

    🙂

    #1041485
    luciole135
    Participant
    Maître WordPress
    13753 contributions

    Je cite « WordPress also works with PHP 5.2.4+ and MySQL 5.0+ »

    #1041486
    PhiLyon
    Modérateur
    Maître WordPress
    22602 contributions

    Et la fin de la ligne et du paragraphe est

    but these versions have reached official End Of Life and as such may expose your site to security vulnerabilities.

    🙂

    #1041487
    luciole135
    Participant
    Maître WordPress
    13753 contributions

    Cela n’empêche pas WordPress de fonctionner.

    #1041488
    Nereusnc
    Membre
    Initié WordPress
    2 contributions

    Bonjour à tous,
    Je vous remercie pour vos retours ! Novice sur le forum, désolée de ne pas bien avoir rempli le formulaire !
    J’ai tout simplement désinstallé le thème et je l’ai réinstallé. Tout est ok depuis. Peut-être n’aurais-je pas dû mettre à jour le thème en premier ?
    Merci à tous en tout cas !

15 sujets de 1 à 15 (sur un total de 16)
  • Vous devez être connecté pour répondre à ce sujet.